View Issue Details

IDProjectCategoryView StatusLast Update
0001522SOGoWeb Calendarpublic2011-12-06 13:41
Reportercwright Assigned Towsourdeau 
PriorityimmediateSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.10 
Fixed in Version1.3.11 
Summary0001522: Setting recurrence causes time shift in Web display
Description

Time zone: America/Chicago

Steps to reproduce:
1) From Lightning or Web interface, create an event and set the start time.

2) Add recurrence to the event and save it.

Result:
1) The start and end times appear shifted in the calendar display views in the Web interface. Lightning displays the events correctly.

2) If the event is edited from the Web interface, the correct times are shown, though they are displayed incorrectly in calendar views. (See attached screenshot from the demo site.)

Additional Information

Tested with Lightning 1.0b2.107i (Linux 86_64).

TagsNo tags attached.

Activities

2011-12-02 13:18

 

time_shift..png (56,401 bytes)   
time_shift..png (56,401 bytes)   
wimmer

wimmer

2011-12-03 09:24

reporter   ~0003099

I can confirm this bug.
I had to go back to 1.3.9 from this reason.

iczeh

iczeh

2011-12-05 01:36

reporter   ~0003104

Very similar to 1519.

wsourdeau

wsourdeau

2011-12-06 13:41

viewer   ~0003122

Fixed in 802a04b5081d0264febb32e1dcf222a8d0d1a263 and 9c4be3d7d32f456638c073296f3c3b84ca2f6ea9.

Issue History

Date Modified Username Field Change
2011-12-02 13:18 cwright New Issue
2011-12-02 13:18 cwright File Added: time_shift..png
2011-12-03 09:24 wimmer Note Added: 0003099
2011-12-04 18:59 ludovic Priority normal => immediate
2011-12-04 18:59 ludovic Severity minor => block
2011-12-05 01:36 iczeh Note Added: 0003104
2011-12-06 13:41 wsourdeau Note Added: 0003122
2011-12-06 13:41 wsourdeau Status new => resolved
2011-12-06 13:41 wsourdeau Fixed in Version => 1.3.11
2011-12-06 13:41 wsourdeau Resolution open => fixed
2011-12-06 13:41 wsourdeau Assigned To => wsourdeau